Pular para o conteúdo principal

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

Este guia apresenta os passos essenciais para começar a usar a API do LLMGenerator. Ao final, você conseguirá gerar seu primeiro arquivo llms.txt.

1. Crie uma Conta e Obtenha uma Chave de API

Antes de usar a API, você precisa criar uma conta no LLMGenerator e obter uma chave de API.
  1. Cadastre-se: Crie uma conta no dashboard do LLMGenerator.
  2. Acesse as Configurações de API: Após fazer login, vá para a seção “Chaves de API” nas configurações da sua conta.
  3. Crie uma Chave: Gere uma nova chave de API. Copie-a e armazene-a com segurança — você não poderá vê-la novamente.
Sua chave de API terá um formato como: llmgen_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

2. Faça sua Primeira Requisição

Agora você pode usar sua chave de API para fazer requisições à API do LLMGenerator. O endpoint principal para criar arquivos llms.txt é /api/v1/generate. Envie uma requisição POST com sua chave de API no cabeçalho Authorization como Bearer token.
curl -X POST https://api.llmgenerator.com/api/v1/generate \
  -H "Authorization: Bearer SUA_CHAVE_DE_API" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://www.exemplo.com",
    "options": {
      "maxUrls": 10,
      "showFullText": true,
      "generationMethod": "simple"
    }
  }'
Substitua SUA_CHAVE_DE_API pela chave real obtida na etapa anterior.

3. Verifique a Resposta

Se a requisição for bem-sucedida, você receberá uma resposta JSON com os detalhes do site e as URLs dos arquivos:
{
  "success": true,
  "message": "Arquivo llms.txt gerado com sucesso",
  "site": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "url": "https://exemplo.com",
    "status": "completed"
  },
  "fileUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000",
  "fullTextUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000?full=true",
  "creditsUsed": 10,
  "creditsRemaining": 490
}

4. Acesse seu Arquivo

O arquivo gerado pode ser acessado de várias formas:
# Visualizar no navegador
curl https://api.llmgenerator.com/api/v1/file/SEU_SITE_ID

# Baixar como arquivo
curl https://api.llmgenerator.com/api/v1/file/SEU_SITE_ID/download -o llms.txt

# Obter a versão completa
curl "https://api.llmgenerator.com/api/v1/file/SEU_SITE_ID?full=true"

Próximos Passos

Você gerou com sucesso seu primeiro arquivo llms.txt! Veja o que você pode fazer a seguir: